Loading...
Searching...
No Matches
RDKit::ChemicalReactionParserException Class Reference

used to indicate an error in parsing reaction data More...

`#include <ReactionParser.h>`

Inheritance diagram for RDKit::ChemicalReactionParserException:

## Public Member Functions

| ChemicalReactionParserException (const char *msg)
| construct with an error message
| ChemicalReactionParserException (std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~ChemicalReactionParserException () noexcept override=default

## Detailed Description

used to indicate an error in parsing reaction data

Definition at line 56 of file ReactionParser.h.

## Constructor & Destructor Documentation

## ChemicalReactionParserException() [1/2]

RDKit::ChemicalReactionParserException::ChemicalReactionParserException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 60 of file ReactionParser.h.

## ChemicalReactionParserException() [2/2]

RDKit::ChemicalReactionParserException::ChemicalReactionParserException | ( | std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 62 of file ReactionParser.h.

## ~ChemicalReactionParserException()

RDKit::ChemicalReactionParserException::~ChemicalReactionParserException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::ChemicalReactionParserException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 65 of file ReactionParser.h.

The documentation for this class was generated from the following file:

- ReactionParser.h